2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/AuthorInformation.cs: Moved
	  AuthorInformation from MD.Ide to MD.Projects. Added an
	  AuthorInformation property to Solution and SolutionItem.

2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	  Moved GetCulture to DotNetProject. Implemented the Clean
	  method in Project.

	* MonoDevelop.Projects/DotNetProject.cs: Include generated
	  satellite resource files into the list of output files.
	  Fixes bug #615700 - Satellite assemblies not included in
	  package project.

	* MonoDevelop.Projects/FileCopySet.cs: Added some
	  documentation.

	* MonoDevelop.Projects/Project.cs: Added some documentation.
	  Added GetOutputFiles overridable. It returns a list of files
	  generated by the project.

2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProject.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Don't save the msbuild file to disk if the content did not
	  change. Fixes bug #628082 - MonoDevelop needs writable
	  project files even though it doesn't write them.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	  Made queue parse job public.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	  Lock database updates.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/IExpressionFinder.cs: HACK: the
	  expression finder now needs to take an textEditorData -
	  unfortunately we've a rule that doesn't allow to reference
	  the Mono.TextEditor from here - take care when calling this.

2010-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Fixed little namespace bug.

2010-07-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Some
	  performance optimization of SearchType.

2010-07-20  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Projects.Dom.Serialization/FileEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs:
	* MonoDevelop.Projects.Dom.Serialization/NamespaceEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Optimized the code completion database (especially the
	  string operations in the type lookup were expensive).

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Projects.CodeGeneration/BaseRefactorer.cs:
	* MonoDevelop.Projects.CodeGeneration/CodeRefactorer.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/ProjectCodeCompletionDatabase.cs:
	  Track ProjectDomService/Parser API.

	* MonoDevelop.Projects.Dom.Parser/IParser.cs:
	* MonoDevelop.Projects.Extensions/ParserNode.cs:
	* MonoDevelop.Projects.Dom.Parser/AbstractParser.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Parser
	  now uses a custom extension node which does the file type
	  check, so we avoid loading all the parser assemblies at
	  startup.

	* Makefile.am:
	* MonoDevelop.Core.csproj: Added file to project.

2010-06-29  Lars Magnusson <lavima@gmail.com>
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Added functionality for excluding imports when loading 
	  projects.
	* MonoDevelop.Projects.Extensions/DotNetProjectSubtypeNode.cs:
	  Added attribute exclude which takes a colon separated list 
	  of targets to exclude. Added functionality to exclude the 
	  targets in the initializer.

2010-06-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectFileCollection.cs: Use FilePath
	  when comparing files, since it will is case insensitive on
	  windows. Sould fix bug #567155 - Linked source files not
	  saved before building.

2010-06-28  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml: Add missing assembly.

2010-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Properly
	  register extended properties. Fixes bug #Bug 615523 -
	  [regression] tarball packages lack pixmaps / desktop files.

2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Execution/ExecutionEnvironment.cs:
	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs:
	* MonoDevelop.Projects.Formats.MD1/MD1DotNetProjectHandler.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	  Added ExecutionEnvironment class, which can be used to
	  customize the environment of a process.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/Project.cs: Use a monitor task for the
	  build so things get indented properly in the build output
	  pad.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs: Use
	  start & end offset for regions, not start + length.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs:
	  CreateMemberImplementation now returns a
	  CodeGeneratorMemberResult with body regions.

	* MonoDevelop.Projects.Dom/IDomVisitor.cs:
	* MonoDevelop.Projects.Dom/DomCecilCompilationUnit.cs: Fix
	  spelling.

2010-06-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Added option for
	  setting a project to use an external console.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/Formatter.cs: Fixed 'Bug 611202 -
	  Move line up/down command fails in aspx files'.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs: Code
	  generator get's now used by code completion auto generation
	  & insert code feature.

2010-06-02  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs: Worked
	  on code generation.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs: Append
	  new line between members.

2010-06-01  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Projects.CodeGeneration/CodeGenerator.cs:
	* MonoDevelop.Projects.CodeGeneration/MimeTypeExtensionNode.cs:
	  Worked on code generation.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed 'Bug 610203
	  - Go to declaration on a method doesn't go to the correct
	  overload'.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed 'Bug 610006
	  - Intellisense gives members of return type of functions
	  even when that function isn't invoked'.

2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Fixed part of
	  'Bug 609221 - Refactor->"Create Method" does not infer type
	  for parameter from LINQ query'.

2010-05-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Changed linq
	  context.

2010-05-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	  Fixed potential type lookup problem.

2010-05-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Update
	  runtime version parsing.

2010-05-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: Addad check.

2010-05-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/FileService.cs: New ToFilePathArray
	  extension method.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: fixed
	  collection already modified exception.

2010-05-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ParsedDocument.cs: Implemented 'Bug
	  606544 - Better comment fold markers'.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Removed some
	  debug code.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Added a property
	  to determine, if a method resove result matches exactly one
	  of the found methods.

2010-05-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ExpressionContext.cs: Added LINQ
	  context.

2010-05-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/FileService.cs: FilePath should be
	  serializable.

2010-05-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Resolve results
	  can now contain errors.

2010-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs:
	* MonoDevelop.Projects/DotNetAssemblyProject.cs:
	* MonoDevelop.Projects/ProjectCreateInformation.cs: Added new
	  GetDefaultTargetPlatform virtual to DotNetProject. It is
	  overriden in DotNetAssemblyProject to set the default
	  configuration for exes (x86).

2010-05-12  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/AmbienceService.cs: Added
	  null check for 'Bug 605005 - Exception viewing asax files'.


2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: Remove
	  SupportedClrVersions, as it's been superseded by
	  SupportsFramework.

2010-05-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Projects/ProjectFile.cs: Expose
	  DependentChildren as an IList not an IEnumerable.

	* MonoDevelop.Projects/DotNetAssemblyProject.cs: Improve
	  comment.

2010-05-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Use
	  FilePath to index the file database dictionary.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	  ExecuteAssembly sets env vars, so UseShellExecute must be
	  false.

	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Start the monitor process using a cross platform method.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/FileService.cs: Check empty file name.

2010-05-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  file name check.

2010-05-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Logging/ConsoleLogger.cs: Don't localize
	  log message headers, since it's possible for this to cause a
	  circular type initialization problem with the
	  PropertyService, GettextCatalog, and InstrumentationService.
	  Console log messages probably shouldn't be localized anyway,
	  because it makes them harder for us to interpret.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  method for removing a file dom.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fix null ref
	  if returnType == null.

2010-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Fix Windows
	  build.

	* MonoDevelop.Core.Instrumentation/Counter.cs:
	* MonoDevelop.Core.Instrumentation/TimerCounter.cs:
	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Add support for counter data serialization.

2010-05-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects/ProjectsServices.cs: Delay project
	  service loading.

2010-05-06  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Fix the Exited
	  event on StartProcess. Add a FIXME regarding killing the
	  wapi hack.

2010-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/PropertyBag.cs: Really fix unescaping of keys.

2010-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/PropertyBag.cs: Fix unescaping of keys.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: In
	  ParanoidSave, make sure the writer is closed before trying
	  to rename the file. Should fix bug #591321 - Edit/Default
	  Policies are not persistent between sessions.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/Properties.cs: Dispose stream reader after
	  use.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/DirectoryAssemblyContext.cs:
	  Don't crash if there is some error while scanning an
	  assembly folder. Fire the Changed event if the directory
	  list of DirectoryAssemblyContext changes.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/StringParserService.cs: Added formatting
	  support for float and double.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicySet.cs:
	* MonoDevelop.Projects.Policies/ScopedPolicy.cs:
	* MonoDevelop.Projects.Policies/PolicyService.cs: Added
	  attribute to explicitly allow differential serialization for
	  a policy (which is disabled by default).

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Fixed
	  'Bug 601351 - changing collection while enumerating in the
	  dom parser'.

2010-05-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/ResolveResult.cs: Fixed 'Bug 601350
	  - Null ref in highlighting/tooltips'.

2010-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Added
	  documentation and some additional overloads for
	  ExecuteAssembly.

2010-04-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Pass info to
	  StartConsoleProcess separately instead of in a
	  ProcessStartInfo, so it's clear what values are being
	  passed.

2010-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: Added special
	  addusing method.

2010-04-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs:
	* MonoDevelop.Core.Execution/IProcessAsyncOperation.cs: Make
	  IProcessAsyncOperation IDisposable.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: fixed
	  cut&paste error.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs: Improved
	  dirty compiation unit merge.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Added
	  mergin of compilation units that contain errors.

2010-04-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Optimized code completion database reading (saves up to ~20%
	  file size of the code completion db files).

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs: used a LRU method
	  to prevent a memory leak of the return type cache.

2010-04-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: External
	  console processes are now wrapped by a
	  IProcessAsyncOperation interface, instead of a Process
	  instance. In this way it is possible to create external
	  consoles which are not directly bound to a process.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomReturnType.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Serialization/DomPersistence.cs:
	  Re-enabled return type sharing for code completion database.

2010-04-26  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Output/NetAmbience.cs: Print type
	  name for constructors.

2010-04-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectFileCollection.cs: Properly
	  check for child files.

	* MonoDevelop.Core/FileService.cs: Added CanonicalPath
	  property.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Fix build.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Added null
	  check on the result of the external console handler.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	  Report a better error when there are two projects with the
	  same guid. Fixes bug #545285 - When opening another
	  solution, sometimes i got an error.

2010-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/DomTypeProxy.cs: Use
	  the new LoadClass method, which takes into account that the
	  entry may already have been loaded. Fixes bug #586574 - Goto
	  Type dialog throws a NullReferenceException.

	* MonoDevelop.Projects.Dom.Serialization/ClassEntry.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Simplified ReadClass. The new LoadClass assigns the loaded
	  class and returns the existing class if it was already
	  loaded. Also, don't unload classes which have not been
	  saved.

2010-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs: ShortenTypeName
	  now handles inner types.

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CompilationUnit.cs:
	* MonoDevelop.Projects.Dom/ICompilationUnit.cs: Added Tag to
	  compilation unit (to hold the original compilation unit).

2010-04-15  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/LocalVariable.cs: Handled possible
	  null ref.

2010-04-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Improve configuration condition validation.

2010-04-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Text/Formatter.cs:
	* MonoDevelop.Projects.Text/IPrettyPrinter.cs: Added a correct
	  indenting method to the pretty printer (Bug 595587 - Move
	  code block to correct depth when Alt+arrow moving).

2010-04-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/DotNetProject.cs: When checking if a
	  project has to be built, return true if the mdb/pdb file is
	  not up to date. Fixes bug #594959 - MD doesn't recompile
	  when switching runtime.

2010-04-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/SolutionFolder.cs:
	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectService.cs:
	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Add support for files added to solution folders.

2010-04-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Add the Service element to the list of unsupported elements.
	  Fixes bug #483716 - Strange "GUID" files are shown in
	  projects.

2010-04-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Projects/FileFormatManager.cs:
	* MonoDevelop.Projects.Formats.MSBuild/SlnFileFormat.cs:
	  Assign the correct format to the loaded solutions.

2010-03-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild\MSBuildProjectService.cs:
	  Fix resurce name generation in windows.

2010-03-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects/ProjectService.cs: Make sure a full
	  path is always used to read projects and solutions.

	* MonoDevelop.Projects/SolutionItem.cs: Added some timers.

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/ExternalConsoleLocator.cs: Moved
	  external console creation to the platform service.

2010-03-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.csproj: Don't do overflow checks.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.StringParsing/IStringTagModel.cs: Make sure
	  search on dictionary is case insensitive.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Fix possible
	  NRE.

2010-03-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.StringParsing:
	* MonoDevelop.Projects/Project.cs:
	* MonoDevelop.Projects/Solution.cs:
	* MonoDevelop.Projects/SolutionItem.cs:
	* MonoDevelop.Projects/WorkspaceItem.cs:
	* MonoDevelop.Projects/CustomCommand.cs:
	* MonoDevelop.Projects/ProjectService.cs:
	* MonoDevelop.Core/StringParserService.cs:
	* MonoDevelop.Projects/SolutionEntityItem.cs:
	* MonoDevelop.Projects/ProjectConfiguration.cs:
	* MonoDevelop.Core.StringParsing/StringTagModel.cs:
	* MonoDevelop.Core.StringParsing/IStringTagModel.cs:
	* MonoDevelop.Projects/DotNetProjectConfiguration.cs:
	* MonoDevelop.Core.StringParsing/StringTagProvider.cs:
	* MonoDevelop.Core.StringParsing/IStringTagProvider.cs:
	* MonoDevelop.Core.StringParsing/StringTagDescription.cs:
	* MonoDevelop.Core.StringParsing/StringTagModelDescription.cs:
	  Reworked the string parser service. Added an extension point
	  for registering tag providers. Added StringTagModel and
	  StringTagModelDescription classes.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: Added some node types.

2010-03-23  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/INode.cs: Added method.

2010-03-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Formats.MSBuild/MSBuildProjectHandler.cs:
	  Ignore duplicate references when loading a project. Fixes
	  bug #582498 - Duplicate references break things.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.addin.xml: Bumped MD version.

2010-03-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/CopyDomVisitor.cs: Handle parameter
	  location.

2010-03-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom/DomMethod.cs:
	* MonoDevelop.Projects.Dom/DomProperty.cs:
	* MonoDevelop.Projects.Dom/DomParameter.cs: Correctly set
	  parameter declaring member.

2010-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Policies/PolicyService.cs: Improved
	  differential serialization. It can now properly serialize
	  lists where items are added/removed.

	* MonoDevelop.Projects.Policies/PolicyBag.cs: Don't abort
	  project loading if a policy can't be found.

2010-03-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Instrumentation/TimeCounter.cs: This
	  doesn't need to be public.

	* MonoDevelop.Core.Instrumentation/Counter.cs: Use better name
	  for the duration property.

	* MonoDevelop.Core.Instrumentation/TimerCounter.cs: Added some
	  statistics.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs: Don't
	  completely fail the loading of the solution data if one of
	  the projects fails.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	  Bump db version because serialized headers are referencing
	  the old MD.Projects assembly.

	* MonoDevelop.Projects.Dom/DomType.cs: Added null check.

2010-03-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Projects.Dom.Parser/ProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/FileEntry.cs:
	* MonoDevelop.Projects.Dom.Parser/ProjectDomService.cs:
	* MonoDevelop.Projects.Dom.Parser/TypeResolverVisitor.cs:
	* MonoDevelop.Projects.Dom.Serialization/CodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.MemoryDatabase/ProjectMemoryProjectDom.cs:
	* MonoDevelop.Projects.Dom.Serialization/SimpleCodeCompletionDatabase.cs:
	* MonoDevelop.Projects.Dom.Serialization/AssemblyCodeCompletionDatabase.cs:
	  Fixed 'Bug 553554 - MD takes a while to quit'.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	MD.Core.Gui and MD.Components into MD.Ide.

2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core.Instrumentation/Counter.cs:
	* MonoDevelop.Core.Instrumentation/CounterCategory.cs:
	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Allow remote access to counter data.

2010-03-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Instrumentation/TimeCounter.cs: Add missing
	  null check.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/PropertyBag.cs: Add missing null check.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/StringParserService.cs: Added new
	  CustomTagStore type, which can be used to put together
	  several related tags for string parsing.

2010-03-15  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core/LoggingService.cs:
	* MonoDevelop.Core.Instrumentation/Counter.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Instrumentation/TimeCounter.cs:
	* MonoDevelop.Core.Instrumentation/TimerCounter.cs:
	* MonoDevelop.Core.Logging/InstrumentationLogger.cs:
	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Add support for timers in the instrumentation service.

	* MonoDevelop.Core/PropertyBag.cs: Dispose should be public.

	* MonoDevelop.Core.Serialization/DataCollection.cs: Add setter
	  indexer.

2010-03-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Initialize
	  the data type before adding it to the name dictionary, since
	  initialization may change the item name.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs:
	* MonoDevelop.Core.Serialization/PrimitiveDataType.cs: Added
	  support for serializing time spans.

	* MonoDevelop.Core/PropertyBag.cs: Escape spaces in key names
	  when saving the property bag to xml.

2010-03-05  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* Mono.Options.cs:
	* MonoDevelop.Core.csproj: Added Mono.Options.

2010-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs: If the
	  runtime is shutting down, stop the initialization of the
	  system assembly service. Should fix bug #582511 - NRE in
	  DirectoryAssemblyContext.OnUpdatePackage.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: New
	  public method.

2010-02-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ClassDataType.cs: When a
	  derived type is not found, try a direct type query before
	  returning the fallback type. Fixes issue with .mdp loading.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core/IconId.cs: Implemented new IconId class
	  which can be used to represent icon names and supports lazy
	  loading of pixbufs.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/TargetFrameworkNode.cs: Allow
	  loading a framework description from a file.

2010-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml:
	* frameworks/framework_NET_2_0.xml:
	* frameworks/framework_NET_1_1.xml: Add missing assemblies.

2010-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Fix build.

2010-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Fix
	  registering of extended properties.

2010-02-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: (Revert
	  revision 151674)

2010-02-12  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: First attempt
	  at fixing losing extended properties.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Add support
	  for delayed loading of serializable types.

2010-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core/PropertyService.cs: Add startup trace
	  calls.

2010-02-08  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Add startup
	  trace calls.

	* MonoDevelop.Core/LoggingService.cs: Add startup trace
	  method.

2010-02-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Don't
	  inherit the MONO_PATH var from the current process
	  environment.

2010-01-25  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs:
	  Prefer using launch scripts for tools if they exist, rather
	  than using the exes directly.

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core\Gettext.cs: Make languange selection work
	  on windows.

2010-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Gettext.cs: Honor the custom language
	  option.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/FileService.cs: Add type and null checks on
	  equality and hash.

2010-01-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/ExternalConsoleLocator.cs:
	  Factorize code for setting env vars.

	* MonoDevelop.Core.ProgressMonitoring/SimpleProgressMonitor.cs:
	  Fire the progress changed event when progress is completed.

	* MonoDevelop.Core/Properties.cs: Added null check.

2009-12-19  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: Don't fall
	  back to returning current corlib if an exact match for a
	  corlib assembly name can't be found, as this breaks composed
	  assembly contexts. The first context will return current
	  corlib, and the later assembly contexts - that contains the
	  real corlib - are then not queried at all.

2009-12-18  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: When
	  searching for an assembly by name, prefer framework
	  assemblies. Consider all assemblies of same name when
	  determining whether an assembly name is a framework
	  assembly.

	* MonoDevelop.Core.Assemblies/SystemAssembly.cs: Add method
	  for enumerating the NextSameName linked list.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Block name
	  conflicts with existing fx packages, not just name+version.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetFramework.cs: Fix a
	  possible NRE that could prevent SystemAssemblyService from
	  fully initializing.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: Always set
	  the package name so that package name lookups work on
	  framework packages.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: Fix
	  framework package duplication for internal backend packages
	  too.

2009-12-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: If package
	  names are duplicated and one of them is a framework package,
	  remove the others.

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Remove
	  unneeded env vars.

2009-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Fix array
	  resizing.

	* MonoDevelop.Core.Assemblies/TargetFramework.cs: Don't
	  explode trying to create backend for unregistered Framework
	  that has been created in respose to a request.

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Log a
	  warning when an unregistered TargetFramework is requested.

2009-12-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/IProcessAsyncOperation.cs:
	  Implement a NullProcessAsyncOperation.

	* MonoDevelop.Core.ProgressMonitoring/NullAsyncOperation.cs:
	  Open up the ctor to subclasses.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Name threads
	  to make debugging easier.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/Properties.cs: Only emit change events if
	  the value actually changed, since there may be many event
	  handlers listening for these events, so they can be quite
	  costly.

2009-11-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs:
	  Exposed master monitor.

2009-11-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/DotNetExecutionCommand.cs: Return
	  a default target runtime when none is specified.

2009-11-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/DotNetExecutionCommand.cs: Missed
	  file in last commit.

2009-11-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Runtime.cs: Moved add-in repo to
	  monodevelop.com.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Add doc
	  comments about not using the Version string for version
	  checks.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Handle
	  "/trunk/mono" in version string.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Fix runtime
	  detection.

2009-11-10  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Fix possible
	  NRE.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Improve
	  detection of the current Mono version.

2009-11-10  Jonathan Chambers  <joncham@gmail.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Support custom mono installations on all platforms.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs: Fix
	  crash when removing a runtime.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MsNetFrameworkBackend.cs:
	  Include the 2.0 clr tools path for the 3.5 framework.

2009-11-09  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_3_5.xml: Added missing assemblies.

	* MonoDevelop.Core.Assemblies/MonoFrameworkBackend.cs: Look
	  for 3.5 assemblies in the 3.5 folder.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml:
	* frameworks/framework_NET_2_0.xml:
	* frameworks/framework_NET_1_1.xml: Put Mono.Cairo back again.

2009-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs: Use a
	  runtime-dependent method for getting the debug info file of
	  an assembly.

2009-11-04  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml:
	* frameworks/framework_NET_2_0.xml: Add new Mono.Debugger.Soft
	  assembly.

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Execution/LocalConsole.cs: Added IConsole
	  implementation.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.addin.xml: Bump MD version.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml:
	* frameworks/framework_NET_2_0.xml:
	* frameworks/framework_NET_1_1.xml: Exclude mono-cairo from
	  the framework list.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\MonoFrameworkBackend.cs:
	  Properly resolve the vb compiler for Mono.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ClassDataType.cs: Add missing
	  null check. Fixes bug #549712.

2009-10-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Fix
	  race in runtime initialization. Fixes bug #524337 -
	  PackageNotInstalled NRE error starting MonoDevelop.

2009-10-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: It seems that
	  the share pkgconfig directory should come before lib by
	  default.

2009-10-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/PlatformCondition.cs: Allow negating
	  target platform.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.addin.xml: Bump MD version.

2009-10-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataNode.cs:
	* MonoDevelop.Core.Serialization/DataItem.cs:
	* MonoDevelop.Core.Serialization/DataValue.cs:
	* MonoDevelop.Core.Serialization/DataCollection.cs: Made
	  serializable.

	* MonoDevelop.Core.Serialization/DataContext.cs:
	* MonoDevelop.Core.Serialization/ClassDataType.cs: Improved
	  the way types are resolved from deserialized names. Now a
	  context can provide a custom resolver method. Also added
	  support for serializing boxed primitive types.

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Serialization/BinaryDataSerializer.cs:
	  Implemented a binary serializer.

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Use
	  cecil to read assembly names.

2009-10-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.ProgressMonitoring/AggregatedAsyncOperation.cs:
	  Added async operation aggregator.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	  Improve detection of the target framework of a library.
	  Should fix bug #542333.

2009-09-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ItemProperty.cs: Allow
	  getting the custom attributes of a property.

2009-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs:
	* MonoDevelop.Core.Assemblies/LibraryPcFileCache.cs: Added
	  some notes.

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: made
	  PcFileCache.cs .NET2 compatible.

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Removed some
	  debug code/fixed read/write package as proposed by lluis.

2009-09-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs: Add Requires
	  info to package data.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml: Added Microsoft.CSharp.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ClassDataType.cs: Propagate
	  ReadOnly and WriteOnly from ItemPropertyAttribute to
	  ItemProperty.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.AddIns/PlatformCondition.cs: New platform
	  condition, which allows enabling/disabling extensions
	  depending on the current platform.

	* MonoDevelop.Core.Instrumentation/Counter.cs:
	* MonoDevelop.Core.Instrumentation/TimeCounter.cs:
	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Initial support for timers.

	* Makefile.am:
	* MonoDevelop.Core.csproj: Added new files.

2009-09-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs: Don't
	  crash if an assembly folder doesn't exist.

	* MonoDevelop.Core\Gettext.cs: Improve error reporting.

2009-09-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Gettext.cs: On windows, the catalog is
	  located in a 'locale' subdir.

2009-09-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MsNetFrameworkBackend.cs: Scan
	  folders registered in AssemblyFoldersEx keys.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MsNetFrameworkBackend.cs: On
	  windows, include the MD startup path in the tools path list,
	  since we may bundle some tools in the setup.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs: In
	  GetToolPaths, unquote quoted paths.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessHostController.cs: Added a
	  watch dog in mdhost. The process will exit if the main MD
	  process dies.

	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs:
	  Removed debug code.

2009-09-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs: Log
	  tool search paths.

2009-09-02  Carlo Kok  <ck@remobjects.com>

	* MonoDevelop.Core.Serialization/EnumDataType.cs: Use ignore-case
	  on enums so both "winexe" and "WinExe" work.
	
2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/DisposerFormatterSink.cs: The
	  WaitHandle.WaitOne(int) method was added in an SP, so it is
	  not available in all 3.5 frameworks.

2009-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core/LoggingService.cs:
	* MonoDevelop.Core.Logging/RemoteLogger.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/IProcessHostController.cs: Allow
	  routing log messages from external processes into the main
	  MD process.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Don't try to
	  store custom data if a package is not valid.

2009-08-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Another fix to
	  make it build with .net 2.0.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Make it
	  buildable with .net 2.0.

2009-08-24  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Assemblies/PcFileCache.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/LibraryPcFileCache.cs:
	* MonoDevelop.Core.Assemblies/DirectoryAssemblyContext.cs:
	  Renamed some classes used by PcFileCache. Split PcFileCache
	  in two files, to make it easier to reuse in Mono.Addins.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Added an event
	  which is fired when the runtime has finished initializing.

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Load
	  the user assembly context after the runtimes have been
	  initialized.

	* MonoDevelop.Core.Assemblies/DirectoryAssemblyContext.cs:
	  Don't update the packages until the current runtime has been
	  initialized. It is required to find the target framework of
	  the assemblies.

	* MonoDevelop.Core/Runtime.cs: Don't call shutdown here. The
	  Main method does it.

2009-08-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs:
	* MonoDevelop.Core.Assemblies/DirectoryAssemblyContext.cs:
	  Added support for user-defined assembly paths. MD will look
	  for assemblies and .pc files in those paths.

2009-08-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Typo.

2009-08-14  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Store culture
	  info.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Added method for
	  resolving non-full assembly names.

2009-08-13  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/AssemblyContext.cs: Make
	  GetAssemblyForVersion work properly again.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Libraries list
	  is stored in 'Libraries', not 'libraries.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/AssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/IAssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs:
	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.Assemblies/RuntimeAssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/ComposedAssemblyContext.cs:
	* MonoDevelop.Core.Assemblies/DirectoryAssemblyContext.cs:
	  Moved all assembly and package query methods to a new
	  AssemblyContext class. TargetRuntime now has an instance of
	  that class.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Use normalized
	  assembly names when storing assemblies in the assembly
	  dictionary.

2009-08-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/PcFileCache.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Moved all
	  related to parsing .pc files to PcFileCache. This class is
	  now isolated from MD and can be reused for xbuild.

	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core/FileService.cs: Added some counters.

2009-08-11  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Remove
	  duplicate pc file enumerating code.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs: The
	  target framework is required to get the msbuild path.

	* MonoDevelop.Core\Runtime.cs: Made initialization code more
	  robust.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/Runtime.cs: Added configuration option for
	  enabling/disabling instrumentation.

2009-08-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core.Instrumentation:
	* MonoDevelop.Core.Instrumentation/Counter.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Instrumentation/MemoryProbe.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Instrumentation/CounterCategory.cs:
	* MonoDevelop.Core.Instrumentation/InstrumentationService.cs:
	  Implemented basic instrumentation support.

2009-08-04  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	  Fix a race in the target runtime background initialization
	  that particularly affected machines with many cores and fast I/O.

2009-08-03  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_3_0.xml:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.Assemblies/MonoFrameworkBackend.cs:
	* MonoDevelop.Core.Assemblies/MsNetFrameworkBackend.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs:
	  Changed a bit the object model to support the new assembly
	  organization of the 3.0 framework. WFC is not part of mono,
	  while there are other 3.0 assemblies provided by the olive
	  package.

2009-08-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs:
	  Improve PKG_CONFIG_LIBDIR/PKG_CONFIG_PATH consistency.
	  Should fix loading moonlight pc files.

2009-07-31  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: When trying to
	  find newer versions of an assembly name, respect the fx
	  version as well as the package.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Execution/IProcessHost.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/RemotingService.cs:
	* MonoDevelop.Core.Execution/RemoteProcessObject.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/DisposerFormatterSink.cs:
	* MonoDevelop.Core.Execution/IProcessHostController.cs:
	  Changed the way MD comunicates with external processes. Now
	  we are always using the IcpChannel, which is available in
	  Linux and Windows. Also improved the way remote objects are
	  disposed. A Dispose call on the object is now always
	  guaranteed to succeed, even if the remote process has
	  crashed.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs: Added
	  ExecuteAssembly method, which runs an assembly using a
	  specific runtime environment. Also added MSBuildBinPath
	  property to get the msbuild bin path for the runtime.

2009-07-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs:
	  RegisterRemotingChannel is now public.

	* MonoDevelop.Core.Assemblies/MonoFrameworkBackend.cs: Add
	  support for xbuild.

2009-07-28  Daniel Newton  <djpnewton@gmail.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Quoted temp
	  file argument in call to DotNetExecutionCommand.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: In
	  GetAssemblyFullName, look for a matching name in the list of
	  assemblies of the provided framework. Only if that fails,
	  look for the assembly in the gac. It avoids returning
	  assemblies which belong to another framework.

	* MonoDevelop.Core.Assemblies/TargetFramework.cs: Implement
	  ToString.

2009-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml: Change order of frameworks, to
	  give more priority to most recent frameworks.

	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	  SubsetOfFramework is not public, required by the MSBuild
	  handler.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks/framework_NET_4_0.xml:
	* MonoDevelop.Core.Assemblies/MonoFrameworkBackend.cs: Add
	  support for .NET 4.0 when targetting the mono runtime.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	  NormalizeAsmName is now public.

2009-07-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Don't explode when there isn't a Mono.framework directory.
	  Allows MD to work on machines that only have Mono from
	  source.

2009-07-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/PropertyBag.cs: Added null check.

2009-07-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Add
	  sanity check.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/DotNetExecutionCommand.cs:
	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs:
	  Add support for custom runtime arguments in the
	  DotNetExecutionCommand.

2009-07-21  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Add the
	  libdata directory to the list of searched path so that
	  monodevelop behaves correctly on FreeBSD. Patch by Romain
	  Tartière.

2009-07-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/IExecutionModeSet.cs:
	* MonoDevelop.Core.Execution/DefaultExecutionMode.cs:
	* MonoDevelop.Core.Execution/DefaultExecutionHandler.cs:
	* MonoDevelop.Core.Execution/DefaultExecutionHandlerFactory.cs:
	  Added method for getting the default execution mode. Made
	  the DefaultExecutionHandler class internal (use
	  Runtime.ProcessService.DefaultExecutionHandler instead).

	* MonoDevelop.Core.Serialization/XmlDataSerializer.cs: Added
	  overloads for serializing directly into a file.

	* MonoDevelop.Core/PropertyBag.cs: When deserializing an
	  object store it in replacement of the old xml data.

	* MonoDevelop.Core/PropertyService.cs: Use FilePath for paths.

2009-07-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Don't abort
	  the output and error capture threads when stopping the
	  process. The threads will stop by themselves when the
	  process exits. Aborting was especially problematic because
	  the output capture thread is in charge of calling OnExit, so
	  sometimes the thread was aborted before or while calling
	  that method. Fixes bug #463321 - stop button on Gtk# app
	  sometimes does not become disabled.

2009-07-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.AddIns/ExecutionModeSetNode.cs: Added new
	  ModeSet extension node.

	* Makefile.am:
	* MonoDevelop.Core.csproj: Updated.

	* MonoDevelop.Core/PropertyBag.cs: Moved here from
	  MonoDevelop.Projects.

	* MonoDevelop.Core/FileService.cs: Added method for notifying
	  file removals.

2009-06-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ExternalConsoleLocator.cs: Make
	  sure gnome-terminal is spawned by MD and not by an existing
	  terminal process. Fixes bug #494575 - Launch-in-terminal
	  problem with gnome-terminal.

2009-06-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/XmlDataSerializer.cs: Added
	  overridables which allow changing the writer/reader to use
	  for child items.

2009-06-15  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/SystemAssembly.cs: Make assembly
	  name consistent with "normalized" names.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Use
	  TargetFramework for assembly lookups. Prioritize framework
	  assemblies over GAC assemblies.

2009-06-15  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\MsNetFrameworkBackend.cs: Fix
	  framework location path.

2009-06-11  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks:
	* Makefile.am:
	* frameworks.xml:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* frameworks/framework_NET_2_0.xml:
	* frameworks/framework_NET_1_1.xml:
	* frameworks/framework_NET_3_0.xml:
	* frameworks/framework_NET_4_0.xml:
	* frameworks/framework_NET_3_5.xml:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.AddIns/TargetFrameworkNode.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoFrameworkBackend.cs:
	* MonoDevelop.Core.Assemblies/MsNetFrameworkBackend.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.Assemblies/TargetFrameworkBackend.cs: Added
	  extensibility support for frameworks. Now add-ins can define
	  new frameworks and support for them for specific runtimes.

2009-06-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs: Added sdk
	  tools path to the framework tools path.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.ProgressMonitoring\LogTextWriter.cs: New
	  override for TextWriter. Improves performance on Windows.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Properties:
	* MonoDevelop.Core.Properties/IXmlConvertable.cs:
	* MonoDevelop.Core.Properties/PropertyFileLoadException.cs:
	* MonoDevelop.Core.Properties/UnknownPropertyNodeException.cs:
	  Removed unused code.

2009-06-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/XmlDataSerializer.cs: Added
	  an option which allows storing all values as elements.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Fix potential
	  infinite loop

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution\ProcessService.cs: Fix crash on
	  Windows.

	* MonoDevelop.Core.Assemblies\TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MonoTargetRuntime.cs: In
	  GetToolPath, change some tool names depending on the target
	  framework.

	* MonoDevelop.Core\Runtime.cs: Use a special add-in repo for
	  windows.

2009-05-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/PropertyService.cs:
	* MonoDevelop.Core.Serialization/GenericCollectionHandler.cs:
	  Avoid throwing some exceptions using preventive checks.
	  Patch by Carlo Kok.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution\ProcessHostController.cs: Someti

	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs: Fixed
	  tools and assembly directories.

	* MonoDevelop.Core.Assemblies\TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MonoTargetRuntime.cs: Some
	  runtimes may require the target framework to get the tools
	  paths.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml:
	* frameworks-source.xml:
	* MonoDevelop.Core\ClrVersion.cs:
	* MonoDevelop.Core.Assemblies\TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\MsNetTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies\SystemAssemblyService.cs: Added
	  support for .net 4.0.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/SystemAssembly.cs: If an
	  assembly has no token, don't add it.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/CollectionDataType.cs: Use
	  the correct item type when initializing custom data
	  serializers.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core\FileService.cs: Fix warning.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core\FileService.cs:
	* MonoDevelop.Core.Serialization\DataContext.cs:
	* MonoDevelop.Core.Serialization\PrimitiveDataType.cs: Use the
	  new FilePath class for handling file and directory paths.

	* MonoDevelop.Core\PropertyService.cs: Store IsWindows and
	  IsMac in readonly fields, which are faster than properties.

2009-05-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core\Properties.cs: Fix file saving issue.

2009-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core\Properties.cs:
	* MonoDevelop.Core\FileService.cs: Added method for doing
	  atomic renames. Use it when saving properties.

2009-05-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Make suer
	  GetExecutionModes always reuses the IExecutionModeSet
	  instances. Added class for keeping execution mode handler
	  references.

	* MonoDevelop.Core.addin.xml: Don't add the default execution
	  handler as a special execution mode.

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Automatically detect mono runtimes in some common install
	  locations.

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Show the
	  prefix in the display name.

2009-05-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Add
	  MOONLIGHT_2_SDK_PATH env var for using a non-installed
	  Moonlight SDK.

2009-05-04  Michael Hutchinson  <mhutchinson@novell.com>

	* frameworks.xml: Add assembly version for System.Windows.dll
	  and System.Windows.Browser.dll.

2009-05-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: When
	  parsing a .pc file, detect the target runtime of the package
	  and store it in the cache.

	* MonoDevelop.Core.Assemblies/PcFileCache.cs: Store a cache
	  version number in the cache file, so we can force a
	  regeneration if the format changes.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Added property
	  for getting the default execution handler.

2009-05-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessHostController.cs: Use the
	  execution handler from the running runtime to fork external
	  object processes.

	* MonoDevelop.Core.Execution/DotNetExecutionCommand.cs: Added
	  DebugMode property.

	* MonoDevelop.Core.Execution/ProcessService.cs: Never show the
	  console window when forking a process in Windows.

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Properly detect mono frameworks in windows.

	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs:
	  Implemented GetToolsPaths.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Added
	  TargetFramework argument to GetToolPath, since tools may
	  differ depending on the framework.

2009-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml:
	* frameworks-source.xml: Removed some invalid assemblies.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: If something
	  goes wrong when getting an assembly name, just ignore the
	  assembly.

2009-04-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ClassDataType.cs: When
	  looking for ItemPropertyAttribute on a member, use
	  inherit=false because if a base class already has an
	  ItemProperty applied to the member, then that member will
	  already have been added while copying props from the base
	  class.

2009-04-29  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml:
	* frameworks-source.xml:
	* MonoDevelop.Core.Assemblies/SystemAssembly.cs:
	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: The
	  frameworks.xml file now contains full assembly info. There
	  is no need to scan the frameworks assemblies anymore. Added
	  some code which can be used to update that file.

	* MonoDevelop.Core.Serialization/DataType.cs: Get a better
	  default element name for generic types.

	* MonoDevelop.Core.Serialization/DictionaryDataType.cs: Fix
	  bug in creation of dictionary type maps.

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.Assemblies/PcFileCache.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Added a
	  .pc file cache, to avoid having to scan all pc files every
	  time MD starts.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Load framework
	  assembly data from the frameworks.xml file. The core package
	  for a framework now don't include assemblies from extended
	  frameowrks. Those assemblies will now be available from the
	  original packages.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: If a .pc
	  file has a Libraries var, get the assemblies list from it
	  instead of taking it from "Libs".

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/FileService.cs: Fixed wrong invalid chars.

2009-04-28  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/FileService.cs: Fixed "Bug 492716 - #
	  characters are not supported in path names in Preferences
	  dialog".

2009-04-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Added
	  public property for getting the install prefix.

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Properly
	  expand vars when initializing the runtime environment.

2009-04-23  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Detect available runtimes on Mac.

2009-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/PropertyService.cs: Add an IsMac property.

2009-04-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs: Log
	  exception. Use new API for getting current runtime's info.

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Remove all
	  code for detecting the current environment, since that now
	  comes in a MonoRuntimeInfo parameter object. Restore
	  GetToolsEnvironmentVariables overload.

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs: Add code to
	  create a MonoRuntimeInfo for the current runtime, and unify
	  the pkg-config detection codepaths. Use PKG_CONFIG_LIBDIR to
	  ensure pkgconfig has the exact set of paths MD does.

2009-04-21  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml: Remove invalid assemblies.

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntime.cs:
	* MonoDevelop.Core.Execution/MsNetExecutionHandler.cs:
	* MonoDevelop.Core.Assemblies/MsNetTargetRuntimeFactory.cs:
	* MonoDevelop.Core.Execution/NativePlatformExecutionHandler.cs:
	  Initial support for the MS.NET runtime.

	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Autodetect mono runtimes when running on windows.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Don't use
	  an external process for locating assemblies from partial
	  names. Implemented the logic by looking at directories. Add
	  support for multiple gac paths.

	* MonoDevelop.Core.Assemblies/SystemAssembly.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Added
	  GetAssemblyName method that works around a bug in
	  mono/windows (AssemblyName.GetAssemblyName is not case
	  insensitive).

	* MonoDevelop.Core/FileService.cs: Fixed file name and path
	  validation methods, so they work for Windows.

	* MonoDevelop.Core/PropertyService.cs: Added property for
	  checking if we are running on windows.

2009-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/ExecutionCommand.cs:
	* MonoDevelop.Core.Execution/IExecutionHandler.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/DotNetExecutionHandler.cs:
	* MonoDevelop.Core.Execution/DotNetExecutionCommand.cs:
	* MonoDevelop.Core.Execution/NativeExecutionCommand.cs:
	* MonoDevelop.Core.Execution/ProcessExecutionCommand.cs:
	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/NativePlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/DefaultExecutionHandlerFactory.cs:
	  Changed the way IExecutionHandler works. It now takes an
	  ExecutionCommand as parameter. ExecutionCommand subclasses
	  contains all required data to execute a command.
	  IExecutionHandler can be specialized on specific subtypes of
	  ExecutionCommand.

	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.Execution/ExecutionMode.cs:
	* MonoDevelop.Core.Execution/IExecutionModeSet.cs:
	* MonoDevelop.Core.Assemblies/CustomRuntimeExecutionModeSet.cs:
	  Added support for IExecutionModeSet. It is a factory of
	  related execution modes. For example, debuggers or
	  profilers.

	* MonoDevelop.Core.Assemblies/MonoRuntimeInfo.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs: Add
	  support for mono runtimes installed in prefixes other than
	  the current runtime.

	* Makefile.am:
	* MonoDevelop.Core.csproj: Added new Files.

2009-04-17  Jason Smith  <jassmith@gmail.com>

	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs: Add
	  runtimes to the runtime list during initialization.

2009-04-17  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs: Set the
	  pkgconfig environment more accurately for child processes
	  and tools.

	* MonoDevelop.Core.Assemblies/TargetRuntime.cs: Add a
	  GetToolsEnvironmentVariables method for setting up the
	  environment for tools with this runtime.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Assemblies: 

	* MonoDevelop.Core/TargetRuntime.cs:
	* MonoDevelop.Core/SystemPackage.cs:
	* MonoDevelop.Core/SystemAssembly.cs:
	* MonoDevelop.Core/TargetFramework.cs:
	* MonoDevelop.Core/MonoTargetRuntime.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs:
	* MonoDevelop.Core/MonoTargetRuntimeFactory.cs: Moved
	  SystemAssemblyService and related classes to the namespace
	  MonoDevelop.Core.Assemblies.

2009-04-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.Assemblies:
	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core.Assemblies/SystemPackage.cs:
	* MonoDevelop.Core.Assemblies/TargetRuntime.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Assemblies/SystemAssembly.cs:
	* MonoDevelop.Core.Assemblies/TargetFramework.cs:
	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntime.cs:
	* MonoDevelop.Core.AddIns/ITargetRuntimeFactory.cs:
	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs:
	* MonoDevelop.Core.Assemblies/SystemAssemblyService.cs:
	* MonoDevelop.Core.Assemblies/MonoTargetRuntimeFactory.cs:
	  Moved SystemAssemblyService and related classes to the
	  namespace MonoDevelop.Core.Assemblies.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.addin.xml: Bump MD version.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* frameworks.xml:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core/Runtime.cs:
	* MonoDevelop.Core/SystemPackage.cs:
	* MonoDevelop.Core/TargetRuntime.cs:
	* MonoDevelop.Core/SystemAssembly.cs:
	* MonoDevelop.Core/TargetFramework.cs:
	* MonoDevelop.Core/MonoTargetRuntime.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs:
	* MonoDevelop.Core/MonoTargetRuntimeFactory.cs:
	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs:
	* MonoDevelop.Core.AddIns/ITargetRuntimeFactory.cs:
	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs:
	  Initial support for multiple target runtimes.

	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/NativePlatformExecutionHandler.cs:
	  Allow specifying a default set of env vars to be defined
	  when creating a new process.

	* MonoDevelop.Core.Execution/ProcessService.cs: Allow
	  specifying the target runtime to use when creating an
	  external process object.

2009-03-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/ComponentModelLocalization.cs: Fixed
	  Header.

2009-03-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.ProgressMonitoring/SimpleProgressMonitor.cs:
	  Added new progress monitor which implements the most basic
	  progress tracking functionality.

2009-03-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/XmlReadHelper.cs: Improved error handing.

2009-03-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.Execution/IExecutionMode.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.AddIns/ExecutionModeNode.cs:
	* MonoDevelop.Core.Execution/IExecutionHandler.cs:
	* MonoDevelop.Core.AddIns/ExecutionHandlerCodon.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/IExecutionHandlerFactory.cs:
	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/MintPlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/DefaultExecutionHandlerFactory.cs:
	* MonoDevelop.Core.Execution/NativePlatformExecutionHandler.cs:
	  Changed the way execution handlers work. We are not using
	  platform ids anymore. Instead, we use command strings when
	  looking for execution handlers. IExecutionHandlerFactory has
	  been removed and now everything is handled by
	  IExecutionHandler, which has a new CanExecute method. This
	  model is more simple and more generic.

2009-02-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Fixed logic for
	  detecting gac packages. Don't consider a package a gac
	  package if it contains at least one assembly with an
	  absolute path outside the mono directory.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: In
	  GetAssemblyFromFullName, if package is null, prefer GAC
	  packages.

2009-02-26  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.csproj:
	* MonoDevelop.Core/ComponentModelLocalization.cs: Worked on
	  propertygrid localization.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/ItemProperty.cs: An element
	  which only has the ctype (type name) attribute is now
	  considered empty when checking the SkipEmpty property.

2009-02-20  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Add
	  Mac-compatible pkgconfig sniffing

2009-02-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.Core/StringParserService.cs: fixed "Bug 456971 -
	  ${ProjectDir} Not updating for currently building project".

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Added some logic
	  for automatically checking if a package is GACed or not.

2009-02-17  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml: Added mscorlib to frameworks.
	  System.Deployment belongs to 2.0.

	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/ProcessHostController.cs: Allow
	  specifying an execution handler when creating a remote
	  process object. Added method for explicitly disposing a
	  remote object with a timeout.

	* Makefile.am:
	* MonoDevelop.Core.csproj: Updated.

	* MonoDevelop.Core/SystemPackage.cs:
	* MonoDevelop.Core/SystemAssembly.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs: Improved handling
	  of assemblies with the same version provided by different
	  packages. Added support for IsGacPackage flag.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Added api for
	  getting the list of registered types.

2009-02-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Serialization/ClassDataType.cs:
	* MonoDevelop.Core.Serialization/DataSerializer.cs:
	* MonoDevelop.Core.Serialization/SerializationContext.cs: Add
	  a flag for including default values in the serialized
	  output. Doesn't include nulls.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.csproj: Don't treat warning as errors,
	  because csc still outputs warnings for this project.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core.csproj: Migrated to MSBuild file format.

2009-02-05  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Expose some
	  pkgconfig path information and helpers for non-.NET addins
	  to use.

2009-02-05  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.AddIns/PackageInstalledCondition.cs: Added
	  new condition types for checking if a package is installed.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* MonoDevelop.Core.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml: Put Mono.Cairo back to the core mono
	  package, since the runtime remaps that assembly version to
	  the running mscorlib version.

2009/01/30  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Serialization/XmlMapAttributeProvider.cs:
	  Add skipEmpty support to xml serialization maps.

2009-01-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/StringParserService.cs: Add support for formatting
	strings in tags.

2009-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml: Remove Mono.Cairo from the framework since it has its
	own package.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.mdp: Flush project format changes.

2009-01-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs:
	* MonoDevelop.Core.Serialization/ItemProperty.cs:
	* MonoDevelop.Core.Serialization/ClassDataType.cs:
	* MonoDevelop.Core.Serialization/ItemPropertyAttribute.cs: Added support
	for SkipEmpty in the serializer. When set to true for a property, if
	the element generated by the property is empty, it will not be
	serialized.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.addin.xml: Update copyright. Remove unnecessary
	assembly import.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core.Serialization/XmlDataSerializer.cs: Allow
	XmlDataSerializer to wrap an existing DataSerializer instead of
	creating one in the constructor.

2009-01-19  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core.ProgressMonitoring/AsyncOperation.cs: Added default
	implementation of IAsyncOperation

2009-01-16  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Handle PKG_CONFIG_LIBDIR.
	If it's not set, sniff for the install prefixes of MD, Mono and
	pkg-config and the associated pkgconfig directories.

2009-01-08  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: In GetAssemblyLocation,
	added fast path for mscorlib.

2009-01-02  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/FileService.cs: Fix logic for IsInvalidFileName.

2008-12-30  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/DataContext.cs: Allow registering new
	properties which are not external.

2008-12-24  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.mdp: Updated.

	* MonoDevelop.Core/FileService.cs: Added method for checking validity of
	paths.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* frameworks.xml: Add missing lib.

	* Makefile.am:
	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core/PropertyService.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs:
	* MonoDevelop.Core.ProgressMonitoring/NullAsyncOperation.cs: No more
	warnings.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Added method for checking
	if an assembly is in the gac.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Nullref fixes.

2008-12-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* frameworks.xml:
	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core/SystemPackage.cs:
	* MonoDevelop.Core/TargetFramework.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs:
	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs:
	* MonoDevelop.Core.Serialization/ISerializationAttributeProvider.cs:
	Implemented support for multiple frameworks in SystemAssemblyService.
	Until now it was supporting multiple CLRs, but this model did not fit
	very well with the Visual Studio model.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.mdp: Don't require a specific version of Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/IAsyncOperation.cs:
	* MonoDevelop.Core.Execution/ProcessWrapper.cs:
	* MonoDevelop.Core.ProgressMonitoring/NullAsyncOperation.cs:
	* MonoDevelop.Core.ProgressMonitoring/NullProgressMonitor.cs:
	* MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs:
	Implement new SuccessWithWarnings property.

2008-12-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel builds.

	* MonoDevelop.Core/PropertyService.cs: Set the FirstRun flag when the
	properties file is not present.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* MonoDevelop.Core.mdp: Fix Makefile integration for AssemblyInfo.cs
	files.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* AssemblyInfo.cs.in:
	* MonoDevelop.Core.mdp: Add AssemblyInfo.cs files that are autogenerated
	from the addin manifests.

2008-11-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/Properties.cs: Copy properties file to backup when
	saving it. Restore the backup if the save fails.

	* MonoDevelop.Core/PropertyService.cs: Catch and report errors when
	loading config file, and fall back to trying previous settings file.
	Prevents MD crash.

	Should fix Bug 442567 - Crash at shutdown lost all setting.

2008-11-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.Core/Gettext.cs: Fix some obsoletion warnings by using
	Mono.Unix.Catalog instead of Mono.Posix.Catalog.

2008-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessHostController.cs: Windows doesn't
	like single quotes when specifying arguments to a process.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml: Bump MD version.

2008-10-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Fix bug 436200 - Crash
	when stopping a process execution.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Serialization/GenericCollectionHandler.cs: Added
	protection against multiple Add methods in a class.

2008-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.mdp, Makefile.am,
	  MonoDevelop.Core/GettextCatalog.cs, MonoDevelop.Core/Gettext.cs:
	  Replaced GettextCatalog.

2008-10-02  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.AddIns/ServiceExtensionNode.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp, Makefile.am,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/AbstractService.cs,
	  MonoDevelop.Core/ServiceManager.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs,
	  MonoDevelop.Core/IService.cs: Remove service APIs.

2008-09-16  Mike Kestner <mkestner@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: null check to avoid
	NREs.  Fixes #418650.

2008-09-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Serialization/XmlMapAttributeProvider.cs: Allow
	  chaining several serialization maps for a type.

2008-09-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Collections/ReadOnlyDictionary.cs,
	  MonoDevelop.Core.mdp, Makefile.am: Implemented new
	  ReadOnlyDictionary class.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Collections/Set.cs: The Add method now returns true
	  if the item was not already present. False otherwise.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Collections, MonoDevelop.Core.Collections/Set.cs,
	  MonoDevelop.Core.mdp, Makefile.am: Added Set collection.

2008-08-28  Levi Bard <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Core.Execution/ExternalConsoleLocator.cs: Fix xterm launch string.

2008-08-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Serialization/ClassDataType.cs: Add missing null
	  check.

2008-08-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Serialization/ClassDataType.cs: When deserializing
	  nested properties, make sure the nesting element is not added as
	  unknown element unless it actually contains unknown properties.
	  Fixes bug #403847.

2008-08-13  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/XmlReadHelper.cs: Add stack trace to error message,
	  replace a 'goto', and fix bug that skipped nodes with same name as
	  start node.

2008-07-30  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Catched possible
	  exception.

2008-07-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs: Work around Mono bug
	  410743 - "wapi leak in System.Diagnostic.Process". Fixes "Bug
	  410740 - ProcessWrapper leaks wapi handles".

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Serialization/DataContext.cs,
	  MonoDevelop.Core.Serialization/ISerializationAttributeProvider.cs,
	  MonoDevelop.Core.Serialization/XmlMapAttributeProvider.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Core.Serialization,
	  MonoDevelop.Core.Serialization/DataType.cs,
	  MonoDevelop.Core.Serialization/ArrayHandler.cs,
	  MonoDevelop.Core.Serialization/DataContext.cs,
	  MonoDevelop.Core.Serialization/TypeAttributeProvider.cs,
	  MonoDevelop.Core.Serialization/IExtendedDataItem.cs,
	  MonoDevelop.Core.Serialization/SerializationContext.cs,
	  MonoDevelop.Core.Serialization/ISerializationAttributeProvider.cs,
	  MonoDevelop.Core.Serialization/DataCollection.cs,
	  MonoDevelop.Core.Serialization/ItemPropertyAttribute.cs,
	  MonoDevelop.Core.Serialization/DataItem.cs,
	  MonoDevelop.Core.Serialization/ICustomDataItemHandler.cs,
	  MonoDevelop.Core.Serialization/XmlMapAttributeProvider.cs,
	  MonoDevelop.Core.Serialization/DataIncludeAttribute.cs,
	  MonoDevelop.Core.Serialization/DictionaryDataType.cs,
	  MonoDevelop.Core.Serialization/ClassDataType.cs,
	  MonoDevelop.Core.Serialization/ICollectionHandler.cs,
	  MonoDevelop.Core.Serialization/IPropertyFilter.cs,
	  MonoDevelop.Core.Serialization/ItemProperty.cs,
	  MonoDevelop.Core.Serialization/DataItemAttribute.cs,
	  MonoDevelop.Core.Serialization/DataNode.cs,
	  MonoDevelop.Core.Serialization/XmlDataSerializer.cs,
	  MonoDevelop.Core.Serialization/GenericCollectionHandler.cs,
	  MonoDevelop.Core.Serialization/CollectionDataType.cs,
	  MonoDevelop.Core.Serialization/ExpandedCollectionAttribute.cs,
	  MonoDevelop.Core.Serialization/EnumDataType.cs,
	  MonoDevelop.Core.Serialization/DataSerializer.cs,
	  MonoDevelop.Core.Serialization/PrimitiveDataType.cs,
	  MonoDevelop.Core.Serialization/XmlElementDataType.cs,
	  MonoDevelop.Core.Serialization/DataValue.cs,
	  MonoDevelop.Core.Serialization/ArrayListHandler.cs,
	  MonoDevelop.Core.mdp: Moved serializer to MD.Core.

2008-06-06  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/Runtime.cs: Write application error messages to the
	  console.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/ExecutionModeNode.cs,
	  MonoDevelop.Core.Execution/IExecutionMode.cs,
	  MonoDevelop.Core.Execution/DefaultExecutionHandlerFactory.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.Execution/ExecutionPlatform.cs, Makefile.am,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp: Implemented
	  IExecutionMode. And execution mode is basically an
	  IExecutionHandlerFactory with a name. There will be several
	  execution modes, such as Debug, Profile, etc.
	* MonoDevelop.Core.Execution/IExecutionHandlerFactory.cs: Added new
	  SupportsPlatform method for checking if a handler is supported for
	  a platform.
	* MonoDevelop.Core.Logging/ConsoleLogger.cs: Fix warning.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs: If a process is
	  terminated by a signal, log the signal name. Fixes bug #368482.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/IConsole.cs,
	  MonoDevelop.Core.Execution/ExternalConsoleFactory.cs: Added logging
	  support to IConsole.
	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Fix locking.
	* MonoDevelop.Core.Execution/ProcessService.cs: Log the exit code if it
	  is not zero.

2008-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs: Read output from
	  process by blocks, not by lines. Fixes bug 368479 - Delayed printf
	  from a gtk+ app in MD.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/Properties.cs, MonoDevelop.Core/PropertyService.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs: New project model
	  changes.

2008-04-29  Aaron Bockover  <abock@gnome.org>

	* MonoDevelop.Core.Execution/ProcessService.cs: Use the new 
	ExternalConsoleLocator instead of hardcoding xterm when running builds
	on an external console

	* MonoDevelop.Core.Execution/ExternalConsoleLocator.cs: First pass at
	reasonably resolving a working and preferred terminal for Linux users;
	currently only uses GNOME Terminal if running under GNOME, xterm otherwise;
	can be easily extended for Konsole, but it was acting strange when I tried,
	so someone else needs to do this if there's interest; also this is sort
	of a temporary measure in part until the external console stuff can be
	properly moved into the platform service layer so it'll work on Windows
	and OS X along with various Linux/DE flavors

	* Makefile.am:
	* MonoDevelop.Core.mdp: Updated build with new file

2008-03-05  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Logging/ConsoleCrayon.cs,
	  MonoDevelop.Core.Logging/ConsoleLogger.cs, Makefile.am,
	  MonoDevelop.Core.mdp, MonoDevelop.Core/LoggingService.cs: Enable console
	  logging in colour by default. Thanks to Aaron Bockover for the
	  ConsoleCrayon workaround -- we now "manually" handle emitting console
	  colour codes on Mono, because its terminfo driver can leave the console
	  unusable if the app crashes.

2008-02-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Don't install packages provided
	  by add-ins that already exist in the system.

2008-02-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressStatus.cs: Allow
	  specifying the log level.

2008-02-15  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core/Runtime.cs: Only pinvoke libc on unix.

2008-02-15  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs: Disable .NET remoting 
	security on the TCP channel.

2008-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/Properties.cs: Improve performance of Get method.

2008-02-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Add a WaitForOutput overload
	  with a time limit.

2008-02-04  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/Runtime.cs: Use MD's config directory for addin engine
	  too. More cross-platform safe, and ensures that they're always the same
	  directory (previously, unusual combinations of environment variables
	  could cause them to differ).
	* MonoDevelop.Core/PropertyService.cs: Make config directory more
	  cross-platform safe.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Update MD version.

2008-01-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/GettextCatalog.cs: Fix logic that determines the location
	  of locale directory.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/FileService.cs: Make NotifyFileChanged safer against
	  exceptions.

2008-01-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/NullProgressMonitor.cs: Added new
	  override.
	* MonoDevelop.Core/Runtime.cs: Use a version specific default MD add-in
	  repo.

2008-01-17  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	  If MD is running in debug mode (i.e. stack traces have line numbers)
	  then the process hosting RemoteProcessObjects should be in debug 
	  mode too. Also, remove an "sh" call to improve portability.

2008-01-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/Runtime.cs: Get add-ins from a version specific
	  repository.

2008-01-16  Michael Hutchinson <mhutchinson@novell.com> 

	* Makefile.am, MonoDevelop.Core.mdp, MonoDevelop.Core/GettextCatalog.cs,
	  MonoDevelop.Core/GettextCatalog.cs.in: Make Gettext catalogue path
	  relative to MD rather than hardcoding the prefix set at build time.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/DesktopApplication.cs,
	  MonoDevelop.Core/PlatformService.cs: Moved PlatformService to
	  MD.Core.Gui. Removed old FileIconService class, which is now implemented
	  in PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs: Fix warning.
	* MonoDevelop.Core.mdp: Updated.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Catch exceptions thrown by
	  ParsePCFile. Fixes bug #346295.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Bump add-in versions.

2007-12-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Catch exception when pkg-config
	  can't be executed. Catch top-level unhandled exceptions in background
	  initialisation thread to stop MD dying on Mono 1.2.6.
	* MonoDevelop.Core/LoggingService.cs: Add some newlines to the log messages
	  when an exception is being logged, to improve readability.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ServiceExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ExecutionHandlerCodon.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.FileSystem/DefaultFileSystemExtension.cs,
	  MonoDevelop.Core.addin.xml: API cleanup.

2007-12-07  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core/PlatformService.cs: Add fallback mime-type support
	for ChangeLogs.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.Core/PlatformService.cs: New service to hand off the
	  platform specific operations to platform-specific addins.  Operations
	  such as Mime, Font, DefaultApplication and Icons (anything that
	  touches Gnome) is abstracted for now.
	* MonoDevelop.Core/Runtime.cs: Expose a static PlatformService to the
	  system.
	* MonoDevelop.Core/DesktopApplication.cs: Move this from
	  MonoDevelop.Core.Gui as it needs to be available from
	  PlatformService.cs.  Refactor the actual commands that get the
	  applications into the PlatformService
	* Makefile.am: Add PlatformService.cs and DesktopApplication.cs to 
	  the build.
	* MonoDevelop.Core.addin.xml: Register a new ExtensoinPoint for the
	  PlatformService

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Core.mdp: Directory reorganization.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressMonitor.cs: Added
	  property to disable message logging.

2007-11-22  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Update SupportedVersions
	  depending on which ClrVersions were registered successfully.

2007-11-21  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/ClrVersion.cs, MonoDevelop.Core/SystemAssemblyService.cs:
	  Add the 2.1 profile.

2007-11-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core.AddIns/AssemblyExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ServiceExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ApplicationExtensionNode.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.ProgressMonitoring/ConsoleProgressStatus.cs,
	  MonoDevelop.Core.FileSystem/FileSystemExtension.cs,
	  MonoDevelop.Core.FileSystem/DefaultFileSystemExtension.cs,
	  MonoDevelop.Core/DefaultAddinLocalizer.cs,
	  MonoDevelop.Core/FileService.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs,
	  MonoDevelop.Core/IAsyncOperation.cs: Added missing license headers.
	* MonoDevelop.Core.Utils.DirectoryArchive,
	  MonoDevelop.Core.Utils.DirectoryArchive/TarDecompressor.cs,
	  MonoDevelop.Core.Utils.DirectoryArchive/GzSupport.cs,
	  MonoDevelop.Core.Utils.DirectoryArchive/Decompressor.cs,
	  MonoDevelop.Core.Utils.DirectoryArchive/ZipDecompressor.cs,
	  MonoDevelop.Core.Utils.DirectoryArchive/Bz2Support.cs,
	  MonoDevelop.Core.mdp, MonoDevelop.Core.Utils.ReportingStream,
	  MonoDevelop.Core.Utils.ReportingStream/ReportingStream.cs, Makefile.am:
	  Removed unused classes.

2007-11-20  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs: Add API to allow global
	  override of environment variables on processes launched from
	  MonoDevelop. Part of fix for "Bug 342965 - When running my program from
	  monodevelop (F5) MONO_MANAGED_WATCHER is enabled".
	* MonoDevelop.Core/Runtime.cs: Convert a writeline to a log message.

2007-11-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp, Makefile.am, MonoDevelop.Core/Runtime.cs,
	  MonoDevelop.Core/DefaultAddinLocalizer.cs: Set the default localizer for
	  add-ins.

2007-11-16  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Logging/LogLevel.cs: EnabledLoggingLevel.All should be
	  equivalent to UpToDebug, not UpToInfo.

2007-11-13  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Logging/FileLogger.cs,
	  MonoDevelop.Core.Logging/ConsoleLogger.cs,
	  MonoDevelop.Core.Logging/ILogger.cs: Track LogLevel changes.
	* MonoDevelop.Core.Logging/LogLevel.cs: Split LogLevel enum's two uses --
	  flags for enabled logging levels, and mutually exclusive values for
	  message severity -- into two compatible enums.
	* MonoDevelop.Core/LoggingService.cs: Disable coloured console output by
	  default due to weird issues when Mono doesn't shut down cleanly.
	  Spelling correction for RemoveLogger. Track LogLevel changes.

2007-11-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/Runtime.cs: Add new SetProcessName method.

2007-11-11  Michael Hutchinson  <mhutchinson@novell.com> 

	* MonoDevelop.Core.Logging/ConsoleLogger.cs: Fix logic that checks 
	  whether console text colouring is possible.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs,
	  MonoDevelop.Core.Execution/ProcessHostController.cs,
	  MonoDevelop.Core/ServiceManager.cs, MonoDevelop.Core/XmlReadHelper.cs,
	  MonoDevelop.Core/Properties.cs: Track LoggingService API changes.
	* MonoDevelop.Core.mdp, Makefile.am: Updated..
	* MonoDevelop.Core.Logging/FileLogger.cs,
	  MonoDevelop.Core.Logging/ConsoleLogger.cs,
	  MonoDevelop.Core.Logging/ILogger.cs,
	  MonoDevelop.Core.Logging/LogLevel.cs,
	  MonoDevelop.Core/LoggingService.cs: Rewrite logging service as a MIT/X11
	  static class.
	* MonoDevelop.Core/DefaultLoggingService.cs,
	  MonoDevelop.Core/ILoggingService.cs, MonoDevelop.Core/Runtime.cs: Remove
	  old logging service.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Bump MD version.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp: Project file names updated by change in MD path
	  functions.

2007-10-16  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/FileService.cs: Found a better solution for the "." case
	  in abs2rel path.

2007-10-15  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/FileService.cs: AbsoluteToRelativePath gives back . if
	  the paths are the same.

2007-10-12  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.FileSystem/DefaultFileSystemExtension.cs,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/FileEventArgs.cs,
	  MonoDevelop.Core/FileService.cs: Rewrote/Refactored FileService (it's
	  now under MIT), removed some unneccessary/unused methods.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/StringParserService.cs: Renamed some variables in the
	  stringparser service.

2007-10-11  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/ServiceManager.cs,
	  MonoDevelop.Core/StringParserService.cs: StringParserService is now a
	  singleton and re-wrote under MIT.

2007-10-03  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/NativePlatformExecutionHandler.cs,
	  MonoDevelop.Core.Execution/MintPlatformExecutionHandler.cs,
	  MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs,
	  MonoDevelop.Core.Execution/IExecutionHandler.cs: Allow setting
	  environment variables when processes via an IExecutionHandler.
	* MonoDevelop.Core.Execution/ProcessService.cs: Allow setting environment
	  variables when starting console processes.

2007-09-26  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp: Fix warning level.
	* MonoDevelop.Core/Properties.cs: When getting the value of a property, if
	  it is a LazyXmlDeserializer, deserialize it and store the deserialized
	  value in the internal dictionary. In this way the next time the property
	  is requested, the same object will be returned, insted of deserializing
	  the data every time.

2007-09-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/PropertyService.cs: In SaveProperties, create the
	  configuration path if it doesn't exist.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Bump MD version.

2007-09-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/XmlReadHelper.cs: Fixed XmlReadHelper behavior - starting
	  nodes are only read once.

2007-09-14  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/XmlReadHelper.cs: XmlReadHelper - already read starting
	  node message is now more verbose.

2007-09-12  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs: Escape arguments to xterm
	  external console. Set xterm title so it doesn't display the 'internal'
	  commands.

2007-09-10  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs: Don't use the extension node
	  Id to identify packages because that Id must be unique, but there can be
	  several packages with the same name but different version.

2007-09-07  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/XmlReadHelper.cs, MonoDevelop.Core/Properties.cs: Removed
	  some debug code.

2007-09-07   <> 

	* MonoDevelop.Core/Properties.cs, MonoDevelop.Core/XmlReadHelper.cs: Fixed
	  bug in properties. Made XmlReadHelper more verbose on some possible
	  errors.

2007-09-07  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.Core/DefaultLoggingService.cs: Change default log level to
	  "WARN". Verbosity doesn't increase substantially, and the warning
	  messages do generally indicate a problem.

2007-09-06  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/Properties.cs, MonoDevelop.Core/XmlReadHelper.cs: It's
	  now possible to specifiy more than one possible end node in the
	  XmlReadHelper class. 
	
	  The Properties class now generates root node called "Serialized"
	  (Properties.SerializedNode) for the custom xml serialized documents -
	  they do not need to generate an own root node anymore (therefore saving
	  some space).

2007-09-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/Properties.cs, MonoDevelop.Core/ICustomXmlSerializer.cs:
	  Worked on property infrastructure - serialization can now be customized
	  using the ICustomXmlSerializer interface.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com>

	* MonoDevelop.Core/Properties.cs: Fix compiler warnings. Note: one is 
	  clearly a typo, but the fix changes the logic.

2007-09-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core/XmlReadHelper.cs: Changed the XmlReadHelper behavior - it
	  now handles the case that the first node is equal to the closing tag
	  node.

2007-09-04   <> 

	* MonoDevelop.Core/Properties.cs: Changed the md property file format output
	  (no unknown node:Properties message anymore).

2007-08-31   <> 

	* MonoDevelop.Core.Properties/IXmlConvertable.cs,
	  MonoDevelop.Core.Properties/DefaultProperties.cs,
	  MonoDevelop.Core.Properties/PropertyEventArgs.cs,
	  MonoDevelop.Core.Properties/IProperties.cs,
	  MonoDevelop.Core.Properties/CharacterEncodings.cs,
	  MonoDevelop.Core/PropertyChangedEventArgs.cs,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/AbstractService.cs,
	  MonoDevelop.Core/IStringTagProvider.cs,
	  MonoDevelop.Core/CharacterEncodings.cs,
	  MonoDevelop.Core/ServiceManager.cs, MonoDevelop.Core/XmlReadHelper.cs,
	  MonoDevelop.Core/Properties.cs, MonoDevelop.Core/FileService.cs,
	  MonoDevelop.Core/StringParserService.cs,
	  MonoDevelop.Core/PropertyService.cs, MonoDevelop.Core/IService.cs:
	  Rewrote property infrastructure. Faster (no XmlDom), smaller Xml (No
	  write back of defaultValues), easier to use (only one property class,
	  better to use interface).

2007-08-29   <> 

	* MonoDevelop.Core.Properties/DefaultProperties.cs: Fixed 82621: Crash while
	  building moon.mds.
	* MonoDevelop.Core.Properties/IProperties.cs: Fi

2007-08-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/ProgressTracker.cs: The Global work
	  may be known even if the last task has an unknown amount of work, so we
	  need to check all tasks.

2007-08-14  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressMonitor.cs
	(ReportError): Show exception also in the emitted message.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/IconCodon.cs: Moved to MD.Projects.Gui.
	* MonoDevelop.Core.Execution/ProcessService.cs, Makefile.am,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/ServiceManager.cs,
	  MonoDevelop.Core/FileService.cs: Reorganized the extension point
	  hierarchy. Embedded all add-in manifests as resources.

2007-08-07  Ankit Jain  <jankit@novell.com>

	* StringParserService.cs (Replace): Update to use TryGetValue with
	Dictionary objects, indexer throws for non-existant keys.

2007-07-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/DefaultLoggingService.cs: Added some null checks.

2007-07-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Set the 'done' flag
	  before exiting WaitForOutput. It fixes a race that was the cause of
	  bug #82128.

2007-07-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp: Updated.
	* MonoDevelop.Core/Runtime.cs: Use a local add-in registry when running
	  MD from the build directory.

2007-07-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessHostController.cs,
	  MonoDevelop.Core/Runtime.cs: Use the logging service instead of the
	  console.

2007-07-05  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/AddinDependencyAttribute.cs: Set the
	  correct namespace.

2007-07-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Properties/CharacterEncodings.cs,
	  MonoDevelop.Core/StringParserService.cs: Removed some commented out
	  code.

2007-07-05  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.ProgressMonitoring/ProgressTracker.cs,
	  MonoDevelop.Core.ProgressMonitoring/AggregatedOperationMonitor.cs,
	  MonoDevelop.Core.ProgressMonitoring/LogTextWriter.cs,
	  MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs,
	  MonoDevelop.Core.ProgressMonitoring/NullProgressMonitor.cs,
	  MonoDevelop.Core.Properties/DefaultProperties.cs,
	  MonoDevelop.Core.Properties/PropertyEventArgs.cs,
	  MonoDevelop.Core.Properties/IProperties.cs,
	  MonoDevelop.Core.Properties/CharacterEncodings.cs,
	  MonoDevelop.Core.mdp, MonoDevelop.Core/ServiceManager.cs,
	  MonoDevelop.Core/StringParserService.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs: Refactored a bit.
	  Brought source code to .NET2 standards.

2007-07-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressStatus.cs: Track
	  api changes.

2007-07-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/SetupApp.cs, Makefile.am,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp: Removed
	  implementation of setup utility, moved to mdtool.

2007-07-02  Ben Motmans <ben.motmans@gmail.com>

	* MonoDevelop.Core.Execution/ProcessWrapper.cs,
	MonoDevelop.Core.Execution/IProcessAsyncOperation.cs:
	Added ProcessId property

2007-06-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessService.cs: Added new overload for
	  StartProcess.

2007-06-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core/SystemPackage.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs: Allow specifying the gac
	  root where assemblies from a package are installed.

2007-06-20  Mike Krüger <mkrueger@novell.com> 

	forget some ToStrings ()

2007-06-20  Mike Krüger <mkrueger@novell.com> 

	String parser service now has more tags: year,month,day, hour,minute,second.

2007-06-14  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs (GetAssemblyNameForVersion):
	Return fullname if its ClrVersion matches the target version.

2007-06-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: In GetAssemblyFullName,
	  use AssemblyName.GetAssemblyName if the provided name is a file.

2007-06-07  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core/FileService.cs (NormalizeRelativePath): Moved from
	AutotoolsContext.cs to here.

2007-06-01  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs (assemblyFullNameToPath):
	Change type from Hashtable to Dictionary<string,string>.
	(GetAssemblyFullNames): New.

2007-05-28  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/FilteredProgressMonitor.cs,
	  Makefile.am, MonoDevelop.Core.mdp: Added new
	  FilteredProgressMonitor class, which can be used to filter out part
	  of the progress information provided by an operation.
	* MonoDevelop.Core/ServiceManager.cs: Fix warning.

2007-05-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/RemoteProcessObject.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs: Properly handle
	  add-in unload events.

2007-05-23  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/FileService.cs: Added missing error message
	  parameter in DeleteFile.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp: Copy mono.addins to target directory.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Core.mdp: Reference shared assemblies from
	  the correct location.

2007-05-07  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/IconCodon.cs: Updated description attributes.
	  Removed unused property.
	* MonoDevelop.Core.AddIns/SetupApp.cs, Makefile.am,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp: Implemented setup
	  tool using Mono.Addins.
	* MonoDevelop.Core.AddIns/ExecutionHandlerCodon.cs: Updated description
	  attributes.
	* MonoDevelop.Core.AddIns/ApplicationExtensionNode.cs: Read the class
	  name from the 'class' attribute, not from 'type'. Updated
	  documentation attributes.
	* MonoDevelop.Core/Runtime.cs: Register the main md repository by
	  default. Improved add-in error message.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/IconCodon.cs,
	  MonoDevelop.Core.AddIns/AssemblyExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ApplicationExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ExecutionHandlerCodon.cs,
	  MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core.AddIns/ServiceExtensionNode.cs,
	  MonoDevelop.Core.Execution/ProcessService.cs,
	  MonoDevelop.Core.ProgressMonitoring/ConsoleProgressStatus.cs,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp, Makefile.am,
	  MonoDevelop.Core/Runtime.cs, MonoDevelop.Core/AbstractService.cs,
	  MonoDevelop.Core/GettextCatalog.cs.in,
	  MonoDevelop.Core/ServiceManager.cs,
	  MonoDevelop.Core/FileService.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs,
	  MonoDevelop.Core/IService.cs: Migration to Mono.Addins.
	* MonoDevelop.Core.AddIns/*,
	  MonoDevelop.Core.AddIns.Setup/*: Removed many
	  classes now implemented in Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.ProgressMonitoring/NullProgressMonitor.cs: Fix bug
	  in ReportWarning.
	* MonoDevelop.Core/FileService.cs: Added method for creating temporary
	  directories.

2007-04-07 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Avoid duplicating 
	  search paths which use relative components ("../").

2007-04-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AssemblyExtensionNode.cs,
	  MonoDevelop.Core.AddIns/PackageExtensionNode.cs,
	  MonoDevelop.Core.addin.xml, MonoDevelop.Core.mdp, Makefile.am,
	  MonoDevelop.Core/SystemAssemblyService.cs: Added new extension
	  point for registering packages.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.addin.xml: Change add-in versions to 0.13.
	* Makefile.am: Flush.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs: Avoid creating
	  unnecessary arraylists.
	* Makefile.am: Flush.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.mdp: Added missing files.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Improved protection
	  against exceptions.
	* MonoDevelop.Core.mdp, Makefile.am: Flush.

2007-02-09  Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am, MonoDevelop.Core/SystemPackage.cs,
	  MonoDevelop.Core/SystemAssemblyService.cs: Added method for
	  registering new (add-in provided) packages.

2007-02-08  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessWrapper.cs: Make Cancel method safe
	  to exceptions.
	* MonoDevelop.Core.mdp, Makefile.am: Synchronized the Makefile and the
	  MD project.

2007-01-30  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs,
	  MonoDevelop.Core.Properties/DefaultProperties.cs: Allow comments in
	  the loaded xml. Patch by atsushi@ximian.com (Atsushi Enomoto).
	  Fixes bug #80474.

2007-01-30  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs (GetPackage): New.
	(GetPackageFromPath): New.	

2007-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AssemblyLoader.cs: Track changes in the Cecil
	  api.
	* MonoDevelop.Core/FileService.cs: Implemented GetFullPath method,
	  which works like Path.GetFullPath, but which works even in the path
	  doesn't exist.

2007-01-19  Marek Sieradzki  <marek.sieradzki@gmail.com>

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs,
	  MonoDevelop.Core.AddIns.Setup/AddinPackage.cs,
	  MonoDevelop.Core/FileService.cs: Removed redundant String.Format ().

2007-01-18  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs (StartProcess): Add new
	overload that takes a ProcessStartInfo.
	(CreateProcessStartInfo): New.

2007-01-18  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/FileService.cs: Fire events in the correct order
	  when renaming files and directories. Fixes bug #80470.

2007-01-15  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core/FileService.cs: Removed debug code.

2006-12-20  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.Core.Execution/ProcessService.cs (StartProcess): Add a new
	overload with 'redirectStandardInput' param.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.FileSystem: Added missing files.

2006-12-17  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs,
	  MonoDevelop.Core.AddIns.Setup/SetupService.cs: Track changes in
	  FileService API.
	* Makefile.am, MonoDevelop.Core/FileEventArgs.cs: Moved from
	  MonoDevelop.Core.Gui.
	* MonoDevelop.Core.addin.xml: Registered new extension point for file
	  system extensions.
	* MonoDevelop.Core.mdp: Updated.
	* MonoDevelop.Core/Runtime.cs: Added FileService.
	* MonoDevelop.Core/FileUtilityService.cs: Merged with FileService.
	* MonoDevelop.Core/ServiceManager.cs: Added null check.
	* MonoDevelop.Core/FileService.cs: Moved from MonoDevelop.Core.Gui and
	  added some new features. It is now possible to register extensions
	  which can hook into the file operations such as Copy or Move.

2006-12-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddInService.cs: In
	  RegisterExtensionItemListener, avoid firing duplicate events by
	  getting the list of tree items before registering the listener.
	* MonoDevelop.Core.mdp: Updated.

2006-09-12 Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.Core.AddIns/AddInService.cs: Added robustness for addin dir detection failure.
	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs: Removed /bin/sh dependence.
	* MonoDevelop.Core.Execution/ProcessService.cs: Default to TCP IPC on win32.
	* MonoDevelop.Core/SystemAssemblyService.cs: Pathing and environment variable compatibility fixes.
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Win32 URI workaround.

2006-09-12 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Don't crash if
	  a repository file can't be found.

2006-08-30 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Added support
	  for adding and removing add-in directories.
	* MonoDevelop.Core.addin.xml: Break back compatibility.
	* MonoDevelop.Core.AddIns.Setup/SystemConfiguration.cs: New file.
	* MonoDevelop.Core.mdp: Updated.
	* Makefile.am: Added new file.

2006-08-07 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/StringParserService.cs: Use invariant culture
	  for case-insensitive variable checks. Fixes bug #78814.

2006-07-25  Michael Hutchinson <m.j.hutchinson@gmail.com> 

	* MonoDevelop.Core.Execution/RemoteProcessObject.cs:
	  Make Dispose() virtual so that derived classes can clean up too.

2006-07-25 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/IProcessHost.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs: Get the list
	  of add-ins required by a type, and load those add-ins into
	  the remote process before loading the type.
	
	* MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs:
	  allow specifying slave monitors in the constructor.

2006-07-20 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: store cached
	  repositories in the correct directory.

2006-07-17 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: The service now
	  stores package information in a SystemPackage class.
	* MonoDevelop.Core/SystemPackage.cs: New class.
	
	* MonoDevelop.Core.mdp: 
	* Makefile.am: Added new file.

2006-07-12 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Added some missing
	  Initialize() calls.

2006-07-06 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Some assembly names
	  include PublicKeyToken=null, some others do not (depending on
	  the origin of the name. SystemAssemblyService now normalizes
	  all names so there are no problems when different nane formats
	  are used.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs: 
	* MonoDevelop.Core.AddIns/AbstractCodon.cs:
	  Added an Extension property to AbstractCodon, which
	  returns the extension point to which the codon is attached.
	* MonoDevelop.Core.mdp: Updated.
	
	* MonoDevelop.Core.AddIns.Setup/AddinSetupInfo.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinConfiguration.cs: Many improvements
	  in AddinConfiguration. Now it reads more information and can write
	  changes.
	  
	* MonoDevelop.Core.addin.xml: Updated version.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs:
	* MonoDevelop.Core.AddIns/IAddInTreeNode.cs: Added Build method,
	  which builds the tree node.
	  
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs:
	* MonoDevelop.Core.AddIns/AddInService.cs: Added new methods for
	  registering listeners on extension items. Listeners are notified
	  when new items are available in an extension, as a result of
	  loading new add-ins.
	  
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: When enabling an
	  add-in, make sure all required add-ins are also enabled. When disabling,
	  make sure all dependent add-ins are disabled.
	  
	* MonoDevelop.Core.Execution/ProcessService.cs: Use the new extension
	  listeners to read extensions.

2006-06-12 John Luke  <john.luke@gmail.com>

	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressMonitor.cs:
	* MonoDevelop.Core/FileUtilityService.cs:
	* MonoDevelop.Core/PropertyService.cs:
	* MonoDevelop.Core/SystemAssemblyService.cs: use String.IsNullOrEmpty
	in a few places

2006-06-03 John Luke  <john.luke@gmail.com>

	* MonoDevelop.Core/FileUtilityService.cs: fix warning
	by using the non-obsolete Path.GetInvalidPathChars()
	instead of Path.InvalidPathChars
	
2006-06-02 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Added fast path for
	  LocateAssembly.

2006-05-31 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns.Setup/AddinInfo.cs:
	* MonoDevelop.Core.AddIns/AddIn.cs: Implemented support for optional
	  extensions in add-ins.
	  
	* MonoDevelop.Core.AddIns/AddInService.cs: Don't crash if pre-loading
	  of an add-in fails, just report the error. While resolving deps and
	  preloading add-ins, take into account disabled add-ins.
	  
	* MonoDevelop.Core.AddIns.Setup/AddinSystemConfiguration.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinSetupInfo.cs: Implement support
	  for enabling/disabling add-ins.
	  
	* MonoDevelop.Core.AddIns/DumpAddinInfoApp.cs:
	* MonoDevelop.Core.AddIns/AddInTreeSingleton.cs: Removed unused code.
	
	* MonoDevelop.Core/PropertyService.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinPackage.cs: Fix warning.
	

2006-05-05 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/AddInService.cs: Throw an UserException if
	  StartApplication can't find the provided application.
	  Implemented GetApplications().
	* MonoDevelop.Core.AddIns/AssemblyLoader.cs: Use GetAssemblyManifest
	  instead of GetAssembly to get the referenced assemblies, since it
	  is much faster.
	* MonoDevelop.Core.AddIns/CodonBuilder.cs: Use the new ChildCodonsAttribute
	  instead of CategoryAttribute.
	* MonoDevelop.Core.addin.xml: Added some descriptions.
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: When resolving dependencies,
	  if one of the unresolved dep is MonoDevelop.Core, just report that a
	  new MD version is required. Make ApplicationRecord implement
	  IApplicationInfo.

	* MonoDevelop.Core.mdp:
	* Makefile.am: Added ChildCodonsAttribute.cs.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml: Updated versions.
	* MonoDevelop.Core.mdp: Updated.

2006-04-21 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core/SystemAssemblyService.cs: Implemented support for
	  2.0 assemblies.
	* MonoDevelop.Core/ClrVersion.cs: New enum which represents the target
	  runtime version.
	
	* MonoDevelop.Core.mdp:
	* Makefile.am: added ClrVersion.cs.

2006-04-07 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.addin.xml:
	* MonoDevelop.Core.AddIns/ClassCodon.cs
	* MonoDevelop.Core.AddIns/AbstractCodon.cs:
	* MonoDevelop.Core.AddIns/ExecutionHandlerCodon.cs:
	* MonoDevelop.Core.AddIns/IconCodon.cs: Added documentation.
	
	* MonoDevelop.Core.AddIns/IAddInTreeNode.cs: Add new
	  properties to be able to get more information about
	  an extension point.
	* MonoDevelop.Core.AddIns/AddIn.cs: When checking dependencies,
	  make sure the required version of an add-in is installed.
	  Read the new extension-nodes and description attributes for
	  extensions.
	* MonoDevelop.Core.AddIns/CodonFactory.cs: Added helper method.
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs: Add documentation
	  from extensions into the tree.
	* MonoDevelop.Core.AddIns/CodonBuilder.cs: Added some helper
	  methods for getting codon documentation.
	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs: Added properties
	  for storing extension point documentation.
	* MonoDevelop.Core.AddIns/DumpAddinInfoApp.cs: New command-line 
	  application which writes the extension tree in an xml file.
	  
	* MonoDevelop.Core.mdp:
	* Makefile.am: Updated.

2006-04-03 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Added
	  CheckInstalledAddin helper method.

2006-03-30 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns.Setup/AssemblyDependency.cs: Improve
	  dependency description.

2006-03-29 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/ProcessHostController.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs: Support the
	  Unix channel for comunication with the host process.
	* MonoDevelop.Core/Runtime.cs: Added Shutdown method.

2006-03-29 Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddInService.cs: Improved error message
	  for a know error.

2006-03-29 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core/MonoDevelop.Core.addin.xml: Break backwards
	  compatibility.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.

	* MonoDevelop.Core.AddIns/AddInService.cs: When checking add-in
	  dependencies, check compatible versions if exact versions are
	  not found.
	* MonoDevelop.Core.addin.xml: Updated add-in version.

2006-03-24  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* MonoDevelop.Core.AddIns/AddInTreeSingleton.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core/DefaultLoggingService.cs:
	* MonoDevelop.Core/FileUtilityService.cs:
	* MonoDevelop.Core/PropertyService.cs:
	Use AppDomain.CurrentDomain.BaseDirectory in case Assembly.GetEntryAssembly() is null.

2006-03-23 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core/SystemAssemblyService.cs: Load the assembly
	  information in a background thread. Added FindInstalledAssembly
	  method.

2006-03-22 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.AddIns/AddIn.cs: Make GetType work for
	  System types.

2006-03-02 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.AddIns/AddInTreeSingleton.cs:
	* MonoDevelop.Core.AddIns/AddInService.cs:
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs:
	* MonoDevelop.Core.AddIns/AssemblyLoader.cs:
	  Made assembly load check optional. It will be enabled when
	  starting the main MD app, but not for tools.

2006-02-28  Jacob Ilsø Christensen <jacobilsoe@gmail.com> 

	* MonoDevelop.Core/GettextCatalog.cs.in: Added a string.Format
	version of GetPluralString.

2006-02-19  Andrés G. Aragoneses  <knocte@gmail.com>

        * MonoDevelop.Core/PropertyService.cs: fixed a typo in a 
	comment.

2006-02-16 Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/AddInService.cs: Made PreloadAddin
	public.
	* MonoDevelop.Core/Runtime.cs: Don't crash if Initialize
	is called more than once.
	
	* MonoDevelop.Core.mdp, Makefile.am: Updated.

2006-01-25  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.AddIns/AddInService.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinPackage.cs:
	Fixed spelling of add-in.

2006-01-23  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* MonoDevelop.Core.AddIns/AddInService.cs: Added internationalization.

2006-01-22 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs: Added some
	null checks.
	* MonoDevelop.Core.Execution/RemoteProcessObject.cs: Made protected
	default constructor.
	* MonoDevelop.Core/FileUtilityService.cs: Removed unused enums and
	delegates.
	* MonoDevelop.Core/GettextCatalog.cs.in: Added private constructor.

2006-01-18 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs:
	Don't try to cancel monitors that are already cancelled. Fixes
	bug #77100.
	* MonoDevelop.Core/Runtime.cs: Runtime is a static class.

2006-01-11 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core/GettextCatalog.cs.in: Added some null checks.

2006-01-10 Lluis Sanchez Gual  <lluis@novell.com>   

	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs:
	* MonoDevelop.Core.AddIns/AddIn.cs: Implement support for InsertBefore.
	
	* MonoDevelop.Core.AddIns/AssemblyLoader.cs: When a specific version of an
	assembly is required and not found, use the currently loaded version.
	For example, it should fix the problem of loading an add-in that has been
	compiled with a different but compatible gtk version.
	
	* MonoDevelop.Core/UserException.cs: New exception type to be used for errors
	that are to be shown to the user.
	
	* MonoDevelop.Core/StringParserService.cs: Keep variable refereces intact if the
	variable has not been defined.
	
	* Makefile.am:
	* MonoDevelop.Core.mdp: Updated.

2005-12-01  Todd Berman  <tberman@off.net>

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Make ReadObject
	return null if it encounters an error. This happens with 0 length
	files.

2005-11-29  David Makovský <yakeen@sannyas-on.net>

	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core/ServiceManager.cs: Make some strings translatable.
	* Monodevelop.Core/GettextCatalog.cs.in: use Mono.Unix instead of Mono.Posix which is depreceated

2005-11-25  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs: Add support for "Assembly"
	dependencies. Removed unneeded error log message.
	
	* MonoDevelop.Core.AddIns.Setup/AddinInfo.cs:
	* MonoDevelop.Core.AddIns/AddInService.cs: Add support for "Assembly"
	dependencies.
	
	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressMonitor.cs:
	Improved formatting.
	
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Generate an index page
	when building a repository.
	
	* Makefile.am:
	* MonoDevelop.Core.mdp: Added new files.

2005-11-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs: 
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs:
	* MonoDevelop.Core.AddIns/DefaultAddInTreeNode.cs: Make sure that child
	nodes are added in the same order as in the xml file. In this way
	the topological sort used to merge the nodes is not needed, and the
	resulting order makes more sense.

2005-11-17  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/PropertyService.cs:
	* MonoDevelop.Core/FileUtilityService.cs: Removed unused code.

2005-11-16  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/SetupTool.cs: Unified install and rinstall
	commands. Added update and list-update. Added per command help.

2005-11-15  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Execution/ProcessHostController.cs: 
	Always stop the process asyncrhonously, so the remote object has time
	to end the dispose call.
	* Makefile.am: Fixed the location of GettextCatalog.
	* MonoDevelop.Core/GettextCatalog.cs.in: Added GetString overload.

2005-11-14  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.Properties/DefaultProperties.cs: Properly store
	DateTime properties.

2005-11-10  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core/SystemAssemblyService.cs: Added method
	  for getting the full name of an assembly.

2005-11-09  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/AddinSetupInfo.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinDependency.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs:
	* MonoDevelop.Core.AddIns.Setup/NativeDependency.cs:
	* MonoDevelop.Core.AddIns.Setup/PackageDependency.cs
	* MonoDevelop.Core.AddIns.Setup/AddinPackage.cs: Added support
	for installing add-ins in the user's home directory.
	
2005-11-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns.Setup/SetupTool.cs: Fix warning.

2005-10-28  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AssemblyLoader.cs: Simplified the
	assembly loader check. The only conflictive situation is when
	trying to load two versions of gtk#. This can't happen with
	gtk# 2.4 and 2.6 since they are not side-by-side installable.

2005-10-20  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddIn.cs: the Import element may
	reference files as well as assemblies, so don't crash if
	the assembly attribute is missing.

2005-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns.Setup/RepositoryRecord.cs: Don't
	use DateTime.MinValue since the serializer may have trouble
	with it in some timezones

2005-10-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Gui.mdp: Added references.
	
	* MonoDevelop.Core.Properties/IProperties.cs:
	* MonoDevelop.Core.Properties/DefaultProperties.cs:
	Added GetProperty overloads for DateTime and TimeSpan.

	* MonoDevelop.Core.AddIns.Setup/RepositoryRecord.cs: Properly
	set repo name when it has been updated.
	
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Several fixes
	in repository registration.
	
	* MonoDevelop.Core.AddIns.Setup/AddinInfo.cs: Generate better
	names for addin reference elements.
	
	* MonoDevelop.Core.AddIns.Setup/SetupTool.cs: Improved build
	package command.

2005-10-18  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Core.AddIns/IAddInTree.cs:
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs:
	add TreeNodeExists (path) method
	
2005-10-17  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.Execution/MintPlatformExecutionHandler.cs:
	* MonoDevelop.Core.Execution/ProcessService.cs:
	* MonoDevelop.Core.Execution/MonoPlatformExecutionHandler.cs:
	Properly escape whitespaces in directory names. Fixes bug #76418.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/AddIn.cs: In CreateObject(), use GetType(name)
	to find the class in the addin and all its dependencies.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* MonoDevelop.Core.AddIns/AddInService.cs:
	* MonoDevelop.Core.AddIns/AddInCollection.cs:
	* MonoDevelop.Core.AddIns/AddIn.cs:
	* MonoDevelop.Core.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.
	
	* MonoDevelop.Core/IProgressMonitor.cs:
	* MonoDevelop.Core.ProgressMonitoring/ProgressTracker.cs:
	* MonoDevelop.Core.ProgressMonitoring/AggregatedProgressMonitor.cs:
	* MonoDevelop.Core.ProgressMonitoring/SynchronizedProgressMonitor.cs:
	Implemented BeginStepTask.
	
	* MonoDevelop.Core.ProgressMonitoring/ConsoleProgressMonitor.cs:
	Fixed indenting and wrapping of text.
	
	* MonoDevelop.Core.ProgressMonitoring/NullProgressMonitor.cs: Keep
	a list of error messages.
	
	* MonoDevelop.Core.AddIns.Setup/SetupTool.cs: Initial implementation
	of a command line setup tool.
	
	* Makefile.am: Added new files.
	
	* MonoDevelop.Core.AddIns.Setup/RepositoryRecord.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinDependency.cs:
	* MonoDevelop.Core.AddIns.Setup/NativeDependency.cs:
	* MonoDevelop.Core.AddIns.Setup/PackageDependency.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinPackage.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinInfo.cs:
	* MonoDevelop.Core.AddIns.Setup/Package.cs:
	* MonoDevelop.Core.AddIns.Setup/NativePackage.cs:
	* MonoDevelop.Core.AddIns.Setup/AddinConfiguration.cs:
	* MonoDevelop.Core.AddIns.Setup/PackageCollection.cs:
	* MonoDevelop.Core.AddIns.Setup/SetupService.cs: Improved the process
	of resolving dependencies and installing/uninstalling addins.
	
2005-10-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/ClassCodon.cs: Added Type property.
	* MonoDevelop.Core.AddIns/AddInService.cs: Added method for getting
	a codons list, not the items they build.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.Core.AddIns/AddInTreeSingleton.cs: Created method
	InsertAddIn.
	* MonoDevelop.Core.AddIns/DefaultAddInTree.cs: The Core addin is now
	loaded like any other addin, so there is no need to load default
	codons and conditions here.
	* MonoDevelop.Core.Execution/ProcessService.cs: Lazily get ExecutionHandler
	information.
	* Makefile.am: Added files.
	* MonoDevelop.Core.addin.xml: Added application extension point.
	* MonoDevelop.Core/ServiceManager.cs: Added method for initializing
	the services for a given addin.
	* MonoDevelop.Core/Runtime.cs: Added AddInService and SetupService.
	
	* MonoDevelop.Core.Setup/*: New API for managing addins.

2005-09-28  Lluis Sanchez Gual  <lluis@novell.com>

	* Changed internal organization of files and namespaces.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIns/Codons/AbstractCodon.cs: Make the ID attribute optional.
	In general, IDs are only needed when codons can be extended, or when
	the entity they represent requires an ID. There are some kind of codons
	which don't have any of those requirements, and the ID is not needed.
	
	* AddIns/AddIn.cs: Added method for getting a resource from an addin's
	asseblies.
	
	* AddIns/Codons/CodonFactory.cs:
	* AddIns/DefaultAddInTree.cs:
	* AddIns/Codons/DuplicateCodonException.cs: Improve error message.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* MonoDevelop.Core.mdp: references update

2005-07-29  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Core.mdp: add new files and references
	
2005-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIns/AssemblyLoader.cs:
	* AddIns/DefaultAddInTree.cs:
	* AddIns/AddInTreeSingleton.cs: Added an assembly sanity check, which
	ensures that all addins reference the same assembly versions.

2005-07-22  John Luke  <john.luke@gmail.com>

	* AddIns/Addin.cs: remove unused variable warning
	
2005-07-18  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIns/AddInTreeSingleton.cs: Added a method that explicitely
	initializes the tree of addins, and which returns a list of load errors
	instead of throwing an exception if something fails.

2005-07-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* AddIns/AddIn.cs:
	* AddIns/AddInTreeSingleton.cs:
	* AddIns/AddInCollection.cs:
	* AddIns/AddInLoadException.cs: Implemented some basic support for
	declaring addin dependencies.

2005-06-27  John Luke  <john.luke@gmail.com>

	* MonoDevelop.Core.mdp:
	* MonoDevelop.Core.mds: add project files

2005-06-01  Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* Services/IMessageService.cs: Added methods to ask a question
	with a cancel option.

2005-04-25  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIns/AddIn.cs: Added GetType method.

2005-03-24  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (FILES): Move AssemblyInfo.cs ...
	(build_sources): ... here.

2005-02-20  John Luke  <john.luke@gmail.com>

	* Services/ServiceManager.cs:
	* Services/IMessageService.cs:
	* Services/AbstractService.cs:
	* Services/FileUtilityService.cs:
	* Services/IService.cs:
	* Makefile.am: remove System.Drawing stuff
	dont define:LINUX
	* Services/SaveErrorChooseDialog.cs:
	* Services/SaveErrorInformDialog.cs: remove SWF cruft

	* ./AddIns/Codons/CodonNameAttribute.cs
	* ./AddIns/PathAttribute.cs
	* ./AddIns/XmlMemberAttributeAttribute.cs
	* ./AddIns/Conditions/ConditionAttribute.cs
	* ./AddIns/XmlMemberArraryAttribute.cs: mark attributes sealed

2005-01-31  Todd Berman  <tberman@off.net>

	* AddIns/AddIn.cs: Remove usage of AddIn.xsd, it is a bad solution.
	* Makefile.am:
	* AddIn.xsd: Remove AddIn.xsd

2005-01-31  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn.xsd: Defined new codon for project formats.

2005-01-24  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIns/AddIn.cs: Use IsDefined() to look for custom attributes. It's
	faster and uses less memory than GetCustomAttribute().

2005-01-11  Lluis Sanchez Gual  <lluis@novell.com>

	* AddIn.xsd: Added new codon type, and new condition.

2004-08-07  Todd Berman  <tberman@off.net>

	* AssemblyInfo.cs.in: Use new ASSEMBLY_VERSION variable.

2004-07-05  Todd Berman  <tberman@off.net>

	* Services/GettextCatalog.cs: removed
	* Services/GettextCatalog.cs.in: Added, this is a passthru to
	Mono.Posix.Catalog. We are using the .in so that the locale dir is
	specified properly.
	* Makefile.am: Add .cs.in rules to generate, etc.

2004-07-02  Todd Berman  <tberman@off.net>

	* Services/FileUtilityService.cs: remove some unneeded code, and
	fix a string.

2004-06-28  Todd Berman  <tberman@off.net>

	* AddIns/AddIn.cs: Add a C.WL so you dont get weird errors without
	some more info.
	* Makefile.am: fixup makefile so that if the AddIn.xsd changes, the
	assembly is rebuilt.

2004-06-23  Todd Berman  <tberman@off.net>

	* Services/ServiceManager.cs: protected ctor added.

2004-06-23  Todd Berman  <tberman@off.net>

	* Services/ServiceManager.cs: make GetService a static method, hide
	the instance everywhere.

2004-05-29  Vladimir Vukicevic  <vladimir@pobox.com>

	* Services/GettextCatalog.cs: fix marshalling issues and gettext

2004-05-26  Todd Berman  <tberman@sevenl.net>

	* Services/GettextCatalog.cs: oops, thats not what i wanted i guess.

2004-05-26  Todd Berman  <tberman@sevenl.net>

	* Services/GettextCatalog.cs: change to string marshaling to prevent
	leaks.

2004-04-04  Todd Berman  <tberman@sevenl.net>

	* AddIns/AddInTreeSingleton.cs: Change to .addin.xml to allow gettext

2004-04-02  Todd Berman  <tberman@sevenl.net>

	* Makefile.am: add GettextCatalog.cs.
	* Services/GettextCatalog.cs: move here so other libs can use easier.
